# Bitcoin Remix

**Mainnet:** Will go live before BRC2.0 mainnet release.

**Signet:** <https://signet.bitcoin-remix.com/>

You can refer to official BRC2.0 Programmable Module documentation for all available endpoints.

{% embed url="<https://github.com/bestinslot-xyz/brc20-programmable-module>" %}

## JSON-RPC endpoint

<mark style="color:green;">`GET`</mark> `https://signet-api.ordinalsbot.com/brc20/rpc`

#### Headers

<table><thead><tr><th width="170">Name</th><th width="246">Type</th><th>Description</th></tr></thead><tbody><tr><td>x-api-key<mark style="color:red;">*</mark></td><td>String</td><td>API Key</td></tr></tbody></table>

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "jsonrpc": "2.0",
    "id": 1,
    "result": {
        "status": "0x1",
        "txResult": "Success",
        "reason": "Return",
        "logs": [],
        "gasUsed": "0x2074b",
        "from": "0x9daaff6e8a107b794199c48bdd1feec5348da1bf",
        "to": null,
        "contractAddress": "0x25536bd1375f5f1f95823ddd2d5e6dae238cdabd",
        "logsBloom": "0x00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
        "blockHash": "0x000000067189d944e8cf60ea16ca9a7f849b3e0aea0b42c108b9395f17797098",
        "blockNumber": "0x3d7cd",
        "blockTimestamp": "0x68224344",
        "transactionHash": "0x313e9e74674a4927db0def6c8b038399773dc1349fc4e28860e8f7e9f09358c4",
        "transactionIndex": "0x0",
        "cumulativeGasUsed": "0x2074b",
        "effectiveGasPrice": "0x0",
        "type": "0x0",
        "nonce": "0x4",
        "output": "0x608060405234801561000f575f80fd5b506004361061003f575f3560e01c806320965255146100435780633fa4f24514610061578063552410771461007f575b5f80fd5b61004b61009b565b60405161005891906100c9565b60405180910390f35b6100696100a3565b60405161007691906100c9565b60405180910390f35b61009960048036038101906100949190610110565b6100a8565b005b5f8054905090565b5f5481565b805f8190555050565b5f819050919050565b6100c3816100b1565b82525050565b5f6020820190506100dc5f8301846100ba565b92915050565b5f80fd5b6100ef816100b1565b81146100f9575f80fd5b50565b5f8135905061010a816100e6565b92915050565b5f60208284031215610125576101246100e2565b5b5f610132848285016100fc565b9150509291505056fea26469706673582212200ba99065cff7fb0f3eaf90e326c902879cd740d92d50f8165bc0de9c13dda95b64736f6c634300081a0033"
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ordinalsbot.com/brc20-brc2.0prog/bitcoin-remix.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
